Name:		unity
Version:	4.24.0
Release:	1%{?dist}
Summary:	Desktop designed for efficiency of space and interaction

License:	GPLv3 and LGPLv3
URL:		https://launchpad.net/unity
Source0:	http://launchpad.net/unity/4.0/4.24.0/+download/unity-4.24.0.tar.bz2

#BuildRequires:	
#Requires:	
Patch1:         unity-4.24.0-skip-tests.patch

%description
Unity is a desktop experience that sings. Designed by Canonical and
the Ayatana community, Unity is all about the combination of
familiarity and the future. We bring together visual design, analysis
of user experience testing, modern graphics technologies and a deep
understanding of the free software landscape to produce what we hope
will be the lightest, most elegant and most delightful way to use your
PC.

Unity is free software, you are encouraged to use whatever pieces of
it suit you. We discuss its evolution on the Ayatana mailing lists for
developers and designers. We embrace the values of GNOME: simplicity,
style, usability and accessibility, and we embrace professional,
considered design thinking.

The Unity desktop experience is designed to allow for multiple
implementations, currently, Unity consists of a Compiz plugin based
visual interface only, which is heavily dependent on OpenGL.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch1 -p1 -b .orig


%build
mkdir build
cd build
%cmake ..
make


%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# fixme!
rm -r $RPM_BUILD_ROOT/home
# HACK!
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
mv $RPM_BUILD_ROOT/usr/lib/lib* $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT/usr/lib/pkgconfig/* $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

cd ..
%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc
%{_bindir}/unity
%{_prefix}/lib/unity
%{_libdir}/*.so.*
%{_datadir}/ccsm/icons/hicolor/64x64/apps/plugin-unityshell.png
%{_datadir}/dbus-1/services/com.canonical.Unity.Panel.Service.service
%{_datadir}/glib-2.0/schemas/com.canonical.Unity.gschema.xml
%{_datadir}/unity
%{_mandir}/man1/*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/unity-core-4.0.pc


%changelog
* Sat Nov 26 2011 Jens Petersen <petersen@redhat.com> - 4.24.0-1
- initial packaging
